Subject: bug#16099: closed (Re: bug#16099: 24.3.50; Build failure, undefined function `cl-member')

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Dec 2013 20:59:03 +0000

Your bug report

#16099: MinGW build failure when srcdir is absolute and has "wrong" format

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16099: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16099
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16099: 24.3.50; Build failure, undefined function `cl-member'
From: Eli Zaretskii <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 10 Dec 2013 22:58:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 10 Dec 2013 20:47:55 +0000
> From: Richard Copley <[email-masked]>
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> > > > Instead of working around the problem, just add a call to
> > > > unmsys--file-name there, like we do for other autoloads in that
> > > > Makefile.
> > > >
> > >
> > > A much better idea, thanks.
> > > I won't provide a patch, for copyright reasons. Sorry about that.
> >
> > But does it work for you?
> >
> 
> Yes. (I added one call to unmsys--file-name to the autoloads: target's
> recipe in lisp/Makefile.in, as you suggested, then built again from an
> otherwise pristine checkout. No errors.) Thanks.

Thanks, installed.

Subject: 24.3.50; Build failure, undefined function `cl-member'
From: Richard Copley <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 10 Dec 2013 12:13:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Building Emacs from trunk r115447, I get several errors and warnings
about undefined functions/macros in the cl- namespace. See build output
attached. For example, byte-compiling "ffap.el" fails with:

In toplevel form:
../../trunk/lisp/ffap.el:108:1:Error: Symbol's function definition is void:
cl-member
Makefile:272: recipe for target `ffap.elc' failed
make[2]: *** [ffap.elc] Error 1

The build runs to completion but the resulting Emacs has problems. For
example, from "runemacs -Q", "M-x ffap RET" fails with:

Symbol's function definition is void: cl-member

There might be a problem with my build environment. I haven't tried
to build Emacs for quite a while.

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-12-10 on 57172UHB
Bzr revision: 115447 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix c:/emacs/emacs-115447
 --enable-locallisppath=%emacs_dir%/../site-lisp 'CPPFLAGS=-I
 G:/usr/include -I C:/GnuWin32/include' 'LDFLAGS=-L G:/usr/lib -L
 C:/GnuWin32/lib''

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x f f a p <return> M-x r - e - b <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
if: Symbol's function definition is void: cl-member
Eager macro-expansion failure: (void-function cl-sublis) [2 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
easy-mmode nnheader gmm-utils mailheader sendmail derived eieio-core
gnus-util rmail dframe rfc2047 rfc2045 ietf-drums mail-utils mm-util
mail-prsvr cl cl-macs pcase cl-lib gv password-cache url-vars time-date
tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
dos-w32 ls-lisp w32-common-fns disp-table w32-win w32-vars tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
w32notify w32 multi-tty emacs)